Skip to navigation

Retrieve override

Retrieves the details of a specific affiliate override.

Required permissions:

  • affiliate:basic:read

Authentication

AuthorizationBearer

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word ‘Bearer’, which will look like Bearer ***************************

Path parameters

idstringRequired
The affiliate ID.
override_idstringRequired
The override ID.

Response

A successful response
applies_to_paymentsenum or null

Whether the commission applies to the first payment only or all payments (standard overrides only).

Allowed values:
applies_to_productsenum or null

Whether this rev-share override applies to a single product or all products (rev-share only).

Allowed values:
commission_typeenum

The type of commission (percentage or flat_fee).

Allowed values:
commission_valuedouble

The commission amount. A percentage (1-100) when commission_type is percentage, or a dollar amount when flat_fee.

idstring
The unique identifier for the affiliate override.
override_typeenum

The type of override (standard or rev_share).

Allowed values:
plan_idstring or null

The plan ID (for standard overrides).

product_idstring or null

The product ID (for rev-share overrides).

revenue_basisenum or null

The revenue calculation basis (pre_fees or post_fees).

Allowed values:
total_referral_earnings_usddouble
The total earnings paid to this affiliate for referrals to this specific plan, in USD.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error